using System;

namespace Activa.ProMesh
{
    public class CSSession : SessionBase<Session,Visitor>
    {
        public new int UserID
        {
            get { int id; return int.TryParse(base.UserID, out id) ? id : 0; }
            set { base.UserID = value.ToString(); }
        }

        public new int SessionID
        {
            get { int id; return int.TryParse(base.SessionID, out id) ? id : 0; }
            set { base.SessionID = value.ToString(); }
        }

        public new int VisitorID
        {
            get { int id; return int.TryParse(base.VisitorID, out id) ? id:0; }
            set { base.VisitorID = value.ToString(); }
        }

    }
}