using System;
using Activa.CoolStorage;

namespace Activa.ProMesh
{
	[MapTo("awtTraffic")]
	public abstract class TrafficEntry : CSObject<TrafficEntry,int>
	{
		public abstract int TrafficID { get; }
		public abstract int SessionID { get; set; }
		public abstract int PageLogID { get; set; }
		public abstract string Language { get; set; }
		public abstract int VisitorID { get; set; }
		public abstract DateTime CreationTime { get; }
		public abstract DateTime CreationDate { get; }
		public abstract string Page { get; set; }


		[ManyToOne]	public abstract Session Session { get; set; }
		[ManyToOne] public abstract PageLogEntry PageLogEntry { get; set; }
	}

}