using System;
using Activa.CoolStorage;

namespace Activa.ProMesh
{
	[MapTo("awtTranslation")]
	public abstract class TranslationRecord : CSObject<TranslationRecord, int>
	{
		public abstract int TranslationID { get; }
		public abstract string LanguageID { get; set; }
		public abstract string PageID { get; set; }
		public abstract string TextID { get; set; }
		public abstract string Text { get; set; }
        public abstract bool Translated { get; set; }
	}
}