using System;

namespace Activa.SharpTemplate
{
	public class EvaluatedEventArgs : EventArgs
	{
	}

	public class EvaluatedEventArgs<T> : EventArgs
	{
		private T _result;

		public EvaluatedEventArgs(T result)
		{
			_result = result;
		}

		public T Result
		{
			get { return _result; }
			set { _result = value; }
		}
	}
}