using System;
using Activa.CoolStorage;

namespace Activa.ProMesh
{
	[MapTo("awtVisitor")]
	public abstract class Visitor : CSObject<Visitor,int>, IVisitorRecord
	{
		public abstract int VisitorID { get; }
		public abstract bool NoStats { get; set; }
		public abstract string Info { get; set ; }
		public abstract DateTime CreationTime { get; }
		public abstract DateTime UpdateTime { get; set; }

        [OneToMany]	public abstract CSList<Session> Sessions { get; }
	}
}